POST /agents/{id}/webhooks
Create a new webhook for a specific agent.
Code Examples
curl --request POST \
--url 'https://api.tess.im/agents/{id}/webhooks' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"url": "https://example.com/webhook",
"method": "POST",
"status": "active"
}'
| Parameter | Type | Required | Description |
|---|
| x-workspace-id | integer | No | ID of the workspace. If not provided, the user’s selected workspace will be used. |
Note: This field will be required in a future release of the API. It is highly recommended to set it now to ensure compatibility with future updates.
Path Parameters
| Parameter | Type | Required | Description |
|---|
| id | integer | Yes | The agent ID |
Body Parameters
| Parameter | Type | Required | Description |
|---|
| url | string | Yes | The URL that will receive webhook notifications |
| method | string | Yes | The HTTP method to use for the webhook (POST) |
| status | string | No | The status of the webhook (active or inactive) |
Response
{
"template_id": 8794,
"user_id": 0,
"url": "https://webhook.site/3bea4d55-0734-4bbd-aab9-95639585e539",
"method": "POST",
"status": "active",
"updated_at": "2025-01-05T23:35:20.000000Z",
"created_at": "2025-01-05T23:35:20.000000Z",
"id": 18
}